Subject: Re: bug#57933: Gtk is unsupported on i686-linux

From: Ludovic Courtès <[email-masked]>
Date: Sun, 09 Oct 2022 22:36:23 +0200

Hi,

Mathieu Othacehe <[email-masked]> skribis:

> I had the following error while trying out `make release` for
> `i686-linux` specifically.
>
> + for example in gnu/system/examples/*.tmpl
> + case "$example" in
> + options=
> + guix system -n disk-image gnu/system/examples/desktop.tmpl
> accepted connection from pid 17139, user nixbld
> guix system: warning: 'disk-image' is deprecated: use 'image' instead
> guix system: error: package [email-masked] does not support i686-linux
> + rm -f t-guix-system-16656 t-guix-system-error-16656 /tmp/guix-build-guix-1.3.0.24760-34049.drv-0/t-guix-system-16656/config.scm /tmp/guix-build-guix-1.3.0.24760-34049.drv-0/t-guix-system-16656/my-torrc
> + rmdir /tmp/guix-build-guix-1.3.0.24760-34049.drv-0/t-guix-system-16656
> FAIL tests/guix-system.sh (exit status: 1)

I reported and fixed this one recently:

  https://issues.guix.gnu.org/58352

> Turns out, Gtk is unsupported on i686-linux which is problematic to
> build the desktop.tmpl image.
>
> mathieu@meije ~/guix [env]$ make -j8 && ./pre-inst-env guix build gtk -s i686-linux
> gnu/packages/gtk.scm:1182:2: warning: package [email-masked] does not support i686-linux

That is still the case due to Rust being pulled in via librsvg:

--8<---------------cut here---------------start------------->8---
$ ./pre-inst-env  guix graph --path gtk librsvg
[email-masked]
[email-masked]
[email-masked]
--8<---------------cut here---------------end--------------->8---

(Time passes…)

I pushed things to make ‘gst-plugins-bad’ supported on i686-linux:

--8<---------------cut here---------------start------------->8---
27a3a5d193 gnu: svt-hevc: Mark as supported on x86_64-linux only.
e3362e249a gnu: directfb: Remove input labels.
3714c8bdcd gnu: gst-plugins-bad: Use 'librsvg-for-system'.
c3b0be1fa2 gnu: directfb: Use 'librsvg-for-system'.
--8<---------------cut here---------------end--------------->8---

But now there’s an ‘openexr’ test failure on i686.

And GTK has another path to unsupported software on i686-linux.

(Note that we’re talking about GTK 4.x, not GTK+, so maybe we can live
with that for now.  At least it no longer affects ‘desktop.tmpl’ and GTK
has relatively few dependents at this point.)

Ludo’.